MediaWiki:Common.css

Revision as of 20:43, 11 December 2023 by imported>Aescopalus
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/***** CSS placed here will be applied to all skins on the entire site. *****/

/* Mark redirects in Special:Allpages and Special:Watchlist */
.allpagesredirect {
   font-style: italic;
}
.allpagesredirect:after {
   color: #808080; 
   content: " (redirect)"
}
.watchlistredir {
   font-style: italic;
}
.messagebox {
    width: 65%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    padding: 3px 3px 3px 0;
    border-left: 15px solid #161b24;
    background-color: var(--theme-page-background-color--secondary);
    color: var(--theme-page-dynamic-color-1);
    overflow: auto;
}
.messagebox.obsolete {
    background-color: var(--theme-accent-color);
    border-color: #464646;
}
.navbox {
    font-size: 0.85em;
    margin: 15px auto;
    width: 100%;
    clear: both;
    color: var(--theme-body-dynamic-color-1);
	border: 1px solid #161b24;
	border-bottom: 0;
	border-radius: 3px;
	background-color: var(--theme-page-background-color--secondary);
}

.navbox:not(.navbox-collapsible) {
    box-shadow: 0 2px 3px -2px rgba(0, 0, 0, 0.1);
}

.navbox .navbox-title {
    font-size: 110%;
	background: var(--theme-accent-color);
	border-bottom: 1px solid #161b24;
    text-align: center;
    padding: 3px 8px;
}

.navbox .navbox-title .mw-collapsible-toggle {
    font-size: 0.9em;
    margin-left: 6em;
    float: right;
}

.navbox .navbox-title a {
    color: var(--theme-body-dynamic-color-1);
}

.navbox .navbox-title a:hover {
	text-decoration: underline;
}

.navbox .navbox-footer {
    border-bottom: 1px solid #161b24;
    text-align: center;
    font-size: smaller;
}

.navbox .navbox-footer a {
	color: var(--theme-body-dynamic-color-1);
}

.navbox .navbox-footer a:hover {
	text-decoration: underline;
}

.navbox .navbox-group-title {
    border-bottom: 1px solid #161b24;
    border-right: 1px solid #161b24;
	background: var(--theme-accent-color);
    font-weight: bold;
    padding: 5px 10px 5px 10px;
    width: 100px;
}

.navbox .navbox-group-title a {
	color: var(--theme-body-dynamic-color-1);
}

.navbox .navbox-group-title a:hover {
	text-decoration: underline;
}

.navbox .navbox-list {
	color: var(--theme-page-dynamic-color-1);
    border-bottom: 1px solid #161b24;
    padding: 0 7px;
}

.navbox .navbox-list ul {
    margin: 0;
}

.navbox .navbox-list li {
    display: inline-block;
}

.navbox .navbox-list li + li::before {
    content: ' • ';
    white-space: nowrap;
}

.navbox .navbox-subgroup {
    border-spacing: 0;
    width: 100%;
}

.navbox .navbox-subgroup .navbox-group-title {
	color: var(--theme-body-dynamic-color-1);
	padding-bottom: 5px;
}

.navbox .navbox.navbox-collapsible {
    font-size: 100%;
    margin: 5px 0 0;
}

.navbox .navbox.navbox-collapsible .navbox-title {
	background: var(--theme-accent-color);
    padding: 0 8px;
}

.navbox img {
    height: auto;
    width: auto;
    padding: 0 1px;
}

.navbox + .navbox {
    margin-top: -8px;
}

.navbox-data {
    display: none;
}

.navbox-data + .navbox {
    margin-top: -8px;
}

.nowraplinks a {
    white-space: nowrap;
}

.mw-collapsible.mw-collapsed {
}

.mw-collapsible .mw-collapsible-toggle {
    font-weight: normal;
    margin-left: 0.5em;
}